[Overview][Constants][Procedures and functions][Index] | Reference for unit 'DateUtils' (#rtl)

# HourOfTheMonth

Calculate the number of hours passed since the start of the month.

## Declaration

Source position: dateutil.inc line 205

`function HourOfTheMonth(`
`const AValue: TDateTime`
`):Word;`

## Arguments

`AValue` |  | TDateTime value for which to calculate the hour of the month.

## Function result

Number of hours passed since the start of the month till AValue.

## Description

HourOfTheMonth returns the number of hours that have passed since the start of the month till the moment indicated by AValue. This is a zero-based number, i.e. 00:59:59 on the first day of the month will return 0.

For an example, see the WeekOfTheMonth function.

## See also

WeekOfTheMonth |  | Extract the week of the month (and optionally month and year) from a TDateTime value
DayOfTheMonth |  | Extract the day (of month) part of a TDateTime value
MinuteOfTheMonth |  | Calculate number of minutes elapsed since the start of the month.
SecondOfTheMonth |  | Calculate number of seconds elapsed since the start of the month.
MilliSecondOfTheMonth |  | Calculate number of milliseconds elapsed since the start of the month.